Project

General

Profile

Audacious 4.0 and GTK3 support

Added by Mihai Moldovan 2 months ago

Hi

There was no announcement regarding the GTK3 feature and I haven't seen any branches yet.

Is the GTK3 interface deprecated and will no further patchsets be made available? I know that it has always been problematic in the past.

Otherwise, is a branch still WIP and will be released at some point in the future?

Mihai


Replies (3)

RE: Audacious 4.0 and GTK3 support - Added by John Lindgren 2 months ago

The GTK3 interface is deprecated. I updated the master-gtk3 branch just now, and you can continue to use that if you want; it's not supported though.

RE: Audacious 4.0 and GTK3 support - Added by Mihai Moldovan 2 months ago

Thanks, I was merely looking for an official statement regarding the interface. :)

If it's deprecated, I can remove it from downstream packaging. But knowing that is crucial.

RE: Audacious 4.0 and GTK3 support - Added by Ariadne Conill about 2 months ago

Officially, both the GTK2 and GTK3 branches are deprecated. GTK3 is more deprecated than GTK2, but the next major version of Audacious will likely see some core plugins go Qt-only, like XSPF.

    (1-3/3)